import java.util.Objects;

public class Payee {

    private String familyName;
    private String givenName;
    private String emailAddress;

    public String getFamilyName() {
        return familyName;
    }

    public void setFamilyName(String familyName) {
        this.familyName = familyName;
    }

    public String getGivenName() {
        return givenName;
    }

    public void setGivenName(String givenName) {
        this.givenName = givenName;
    }

    public String getEmailAddress() {
        return emailAddress;
    }

    public void setEmailAddress(String emailAddress) {
        this.emailAddress = emailAddress;
    }
    // ... and a bunch more hidden stuff: for testing purposes only


    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Payee payee = (Payee) o;
        return Objects.equals(familyName, payee.familyName) &&
                Objects.equals(givenName, payee.givenName) &&
                Objects.equals(emailAddress, payee.emailAddress);
    }

    @Override
    public int hashCode() {
        return Objects.hash(familyName, givenName, emailAddress);
    }
}
