import java.util.List;

public class GenericAccount<T extends AccountBook> {
    private Payee payee;
    private Checkbook checkbook;
    private List<Transaction> transactions;
    public GenericAccount(Payee payee, Checkbook checkbook){
        this.payee = payee;
        this.checkbook = checkbook;
    }


    public Payee getPayee() {
        return this.payee;
    }

    public Checkbook getCheckbook() {
        return this.checkbook;
    }

    public void setTransaction(List<Transaction> expected) {
        this.transactions = expected;
    }

    public List<Transaction> getTransaction() {
        return this.transactions;
    }
}
